Debian Bug report logs - #659680
texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"

version graph

Package: texlive-xetex; Maintainer for texlive-xetex is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-xetex is src:texlive-base.

Reported by: Matthew Bellis <matthew.bellis@gmail.com>

Date: Mon, 13 Feb 2012 04:00:22 UTC

Severity: normal

Fixed in version texlive-bin/2009-12

Done: Norbert Preining <preining@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, matthew.bellis@gmail.com, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 13 Feb 2012 04:00:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Bellis <matthew.bellis@gmail.com>:
New Bug report received and forwarded. Copy sent to matthew.bellis@gmail.com, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 13 Feb 2012 04:00:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Bellis <matthew.bellis@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"
Date: Sun, 12 Feb 2012 21:54:39 -0600
Package: texlive-xetex
Version: 2009-15
Severity: normal

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
      Using xelatex.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
      xelatex no longer compiles the simplets latex file.

   * What was the outcome of this action?
    The error message:

    This is XeTeX, Version 3.1415926-2.2-0.9995.2 (TeX Live 2009/Debian)
    (Fatal format file error; I'm stymied)


   * What outcome did you expect instead?
    
      Standard latex compilation. 

      Error seems to be related to a zlib upgrade. 

      http://sourceforge.net/tracker/?func=detail&aid=3484935&group_id=194926&atid=951385


-- Package-specific info:
If you report an error when running one of the TeX-related binaries 
(latex, pdftex, metafont,...), or if the bug is related to bad or wrong
output, please include a MINIMAL example input file that produces the
error in your report. 


Please run your example with
	(pdf)latex -recorder ...
(or any other program that supports -recorder) and send us the generated
file with the extension .fls, it lists all the files loaded during
the run and can easily explain problems induced by outdated files in
your home directory.

Don't forget to also include minimal examples of other files that are 
needed, e.g. bibtex databases. Often it also helps
to include the logfile. Please, never send included pictures!

If your example file isn't short or produces more than one page of
output (except when multiple pages are needed to show the problem),
you can probably minimize it further. Instructions on how to do that
can be found at

http://www.latex-einfuehrung.de/mini-en.html (english)

or 

http://www.latex-einfuehrung.de/mini.html (german)

##################################
minimal input file

\documentclass[]{article}

\begin{document}
Hello world!
\end{document}


##################################
other files

Output.fls file

PWD ***/example.tex
INPUT /usr/share/texmf/web2c/texmf.cnf
INPUT /var/lib/texmf/web2c/xetex/xelatex.fmt


######################################
 List of ls-R files

-rw-r--r-- 1 root root 1217 Feb 12 21:44 /var/lib/texmf/ls-R
-rw-rw-r-- 1 root staff 360 Feb 12 21:25 /usr/local/share/texmf/ls-R
lrwxrwxrwx 1 root root 29 Jun 25  2011 /usr/share/texmf/ls-R -> /var/lib/texmf/ls-R-TEXMFMAIN
lrwxrwxrwx 1 root root 27 Nov 13 16:41 /usr/share/texmf-texlive/ls-R -> /var/lib/texmf/ls-R-TEXLIVE
lrwxrwxrwx 1 root root 27 Nov 13 16:41 /usr/share/texmf-texlive/ls-R -> /var/lib/texmf/ls-R-TEXLIVE
######################################
 Config files
lrwxrwxrwx 1 root root 20 Jun 25  2011 /usr/share/texmf/web2c/texmf.cnf -> /etc/texmf/texmf.cnf
-rw-r--r-- 1 root root 5113 Feb 12 21:44 /var/lib/texmf/web2c/fmtutil.cnf
-rw-r--r-- 1 root root 8850 Feb 12 21:44 /var/lib/texmf/web2c/updmap.cfg
-rw-r--r-- 1 root root 3110 Feb 12 21:44 /var/lib/texmf/tex/generic/config/language.dat
######################################
 Files in /etc/texmf/web2c/
total 4
-rw-r--r-- 1 root root 283 Jun 25  2011 mktex.cnf
######################################
 md5sums of texmf.d
3875bf0f4a53a29b7f247399dc9833e2  /etc/texmf/texmf.d/05TeXMF.cnf
6e82a3d4c00ae7e4f86aa8dcf9438cf3  /etc/texmf/texmf.d/15Plain.cnf
c60a084820a0b73e3bfbf2e90bda437c  /etc/texmf/texmf.d/45TeXinputs.cnf
ea33127256c6a9f37145ae5b16fdb80c  /etc/texmf/texmf.d/55Fonts.cnf
afccf1d3f87057411166a77c58e00bd1  /etc/texmf/texmf.d/65BibTeX.cnf
9da7c1c7b1eaf06f941af91f48a23068  /etc/texmf/texmf.d/75DviPS.cnf
7ae52efac46feb97010986e57877d12e  /etc/texmf/texmf.d/80DVIPDFMx.cnf
37329819f1109e8a457e64b8b58fecdb  /etc/texmf/texmf.d/85Misc.cnf
a8952d594677235951d447665ec46e9c  /etc/texmf/texmf.d/90TeXDoc.cnf
402d5adb3864c09ed3cd80c0f2131361  /etc/texmf/texmf.d/95NonPath.cnf

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages texlive-xetex depends on:
ii  dpkg                1.16.1.2
ii  tex-common          2.10
ii  texlive-base        2009-15
ii  texlive-binaries    2009-11
ii  texlive-common      2009-15
ii  texlive-latex-base  2009-15

Versions of packages texlive-xetex recommends:
ii  lmodern  2.004.1-3.1

texlive-xetex suggests no packages.

Versions of packages tex-common depends on:
ii  debconf [debconf-2.0]  1.5.41
ii  dpkg                   1.16.1.2
ii  ucf                    3.0025+nmu2

Versions of packages tex-common suggests:
ii  debhelper  9.20120115

Versions of packages texlive-xetex is related to:
ii  tex-common        2.10
ii  texlive-binaries  2009-11

-- debconf information:
  tex-common/check_texmf_wrong:
  tex-common/check_texmf_missing:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 13 Feb 2012 04:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 13 Feb 2012 04:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 659680@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Matthew Bellis <matthew.bellis@gmail.com>, 659680@bugs.debian.org, zlib1g@packages.debian.org
Subject: Re: Bug#659680: texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"
Date: Mon, 13 Feb 2012 13:09:27 +0900
clone 659680 -1
reassign -1 zlib1g
# reason: breaks unrelated software
severity -1 serious
retitle -1 zlib update is not backward compatible, gzeof behaviour change
thanks

>       Error seems to be related to a zlib upgrade. 

Hi Matthew,

yes.

THis is zlib madness. THey cannot upgrade a minor version and
break backward compatibility, and in additon there is no reason
to change this behaviour, they should introduce a new function.

Assigning to zlib, maintainers of zlib, what is your plan here?
Should we patch xetex (and probably many other packages have to be
fixed, too), or do you intend to fix this misbehaviour?

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
GLINSK (n.)
A hat which politicians but to go to Russia in.
			--- Douglas Adams, The Meaning of Liff




Bug 659680 cloned as bug 659681. Request was from Norbert Preining <preining@logic.at> to control@bugs.debian.org. (Mon, 13 Feb 2012 04:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 13 Feb 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 13 Feb 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 659680@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: Matthew Bellis <matthew.bellis@gmail.com>, 659680@bugs.debian.org, 659681@bugs.debian.org
Subject: Re: Bug#659680: texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"
Date: Mon, 13 Feb 2012 16:58:19 +0000
On Mon, Feb 13, 2012 at 01:09:27PM +0900, Norbert Preining wrote:

> Assigning to zlib, maintainers of zlib, what is your plan here?
> Should we patch xetex (and probably many other packages have to be
> fixed, too), or do you intend to fix this misbehaviour?

I've no intention to diverge from upstream on this, maintaining a
different interface to upstream doesn't seem like a smart move.  Given
that the TeX upstream appears to have already changed their code for the
new zlib upstream it seems like they're not expecting any change in zlib
and will be updated to use the new interface with their next release.

I can add a Breaks to the package to help handle partial upgrade cases.

A brief look at what's installed on my particular system suggests that
this isn't a terribly widely used function, I'm actually only seeing
users from TeX but that's not exactly a full archive scan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 13 Feb 2012 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 13 Feb 2012 23:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 659680@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Mark Brown <broonie@debian.org>
Cc: Matthew Bellis <matthew.bellis@gmail.com>, 659680@bugs.debian.org, 659681@bugs.debian.org
Subject: Re: Bug#659680: texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"
Date: Tue, 14 Feb 2012 08:00:39 +0900
On Mo, 13 Feb 2012, Mark Brown wrote:
> I've no intention to diverge from upstream on this, maintaining a
> different interface to upstream doesn't seem like a smart move.  Given

Ok.

> that the TeX upstream appears to have already changed their code for the
> new zlib upstream it seems like they're not expecting any change in zlib
> and will be updated to use the new interface with their next release.

Yes, but you missed the point, namely breaking unrelated software.
Anyway, I will upload new texlive-binaries with just this fix.

> I can add a Breaks to the package to help handle partial upgrade cases.

I just checked, it seems to *NOT* be necessary. During upgrades 
xetex will be called only in -ini mode, and that still works.
Only a normal run to process a document, which loads the format,
will not work.

> A brief look at what's installed on my particular system suggests that
> this isn't a terribly widely used function, I'm actually only seeing
> users from TeX but that's not exactly a full archive scan.

Huuu, I would expect that a function like *eof() will be used in more
than xetex place... but anyway.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
GILDERSOME (adj.) Descriptive of a joke someone tells you which starts
well, but which becomes so embellished in the telling that you start
to weary of it after scarcely half an hour.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 13 Feb 2012 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 13 Feb 2012 23:09:05 GMT) Full text and rfc822 format available.

Message #27 received at 659680@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Norbert Preining <preining@logic.at>, 659680@bugs.debian.org
Subject: Re: Bug#659680: texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"
Date: Tue, 14 Feb 2012 00:05:43 +0100
On 14.02.12 Norbert Preining (preining@logic.at) wrote:
> On Mo, 13 Feb 2012, Mark Brown wrote:

Hi,

> > that the TeX upstream appears to have already changed their code
> > for the new zlib upstream it seems like they're not expecting any
> > change in zlib and will be updated to use the new interface with
> > their next release.
> 
> Yes, but you missed the point, namely breaking unrelated software.
> Anyway, I will upload new texlive-binaries with just this fix.
> 
Do you find the time or should I do?

H.
-- 
sigmentation fault




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 13 Feb 2012 23:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 13 Feb 2012 23:09:07 GMT) Full text and rfc822 format available.

Message #32 received at 659680@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Hilmar Preusse <hille42@web.de>
Cc: 659680@bugs.debian.org
Subject: Re: Bug#659680: texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"
Date: Tue, 14 Feb 2012 08:07:46 +0900
Hallo Hilmar,

On Di, 14 Feb 2012, Hilmar Preusse wrote:
> > Anyway, I will upload new texlive-binaries with just this fix.
> > 
> Do you find the time or should I do?

Ich mach mich grad dran ...

Herzliche Grüße

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
For a moment, nothing happened. Then, after a second or
so, nothing continued to happen.
                 --- Douglas Adams, The Hitchhikers Guide to the Galaxy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 13 Feb 2012 23:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 13 Feb 2012 23:51:10 GMT) Full text and rfc822 format available.

Message #37 received at 659680@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: Matthew Bellis <matthew.bellis@gmail.com>, 659680@bugs.debian.org, 659681@bugs.debian.org
Subject: Re: Bug#659681: Bug#659680: texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"
Date: Mon, 13 Feb 2012 23:46:06 +0000
On Tue, Feb 14, 2012 at 08:00:39AM +0900, Norbert Preining wrote:
> On Mo, 13 Feb 2012, Mark Brown wrote:

> > that the TeX upstream appears to have already changed their code for the
> > new zlib upstream it seems like they're not expecting any change in zlib
> > and will be updated to use the new interface with their next release.

> Yes, but you missed the point, namely breaking unrelated software.
> Anyway, I will upload new texlive-binaries with just this fix.

No, I totally understand that point - I'm just saying that in this case
it seems like the way to deal with the issue is to stick with the two
upstreams rather than try to come up with a different fix locally.

> > I can add a Breaks to the package to help handle partial upgrade cases.

> I just checked, it seems to *NOT* be necessary. During upgrades 
> xetex will be called only in -ini mode, and that still works.
> Only a normal run to process a document, which loads the format,
> will not work.

I was thinking for the case where someone upgrades zlib but for whatever
reason doesn't upgrade TeX at all - it's not exactly going to be common
but it's simple enough to do.

> > A brief look at what's installed on my particular system suggests that
> > this isn't a terribly widely used function, I'm actually only seeing
> > users from TeX but that's not exactly a full archive scan.

> Huuu, I would expect that a function like *eof() will be used in more
> than xetex place... but anyway.

Most of the gzio users are pretty noddy, the pattern is more usually to
just read until error or something similar rather than having detailed
error checking.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 13 Feb 2012 23:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 13 Feb 2012 23:51:12 GMT) Full text and rfc822 format available.

Message #42 received at 659680@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Mark Brown <broonie@debian.org>
Cc: Matthew Bellis <matthew.bellis@gmail.com>, 659680@bugs.debian.org, 659681@bugs.debian.org
Subject: Re: Bug#659681: Bug#659680: texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"
Date: Tue, 14 Feb 2012 08:49:29 +0900
On Mo, 13 Feb 2012, Mark Brown wrote:
> > I just checked, it seems to *NOT* be necessary. During upgrades 
> > xetex will be called only in -ini mode, and that still works.
> > Only a normal run to process a document, which loads the format,
> > will not work.
> 
> I was thinking for the case where someone upgrades zlib but for whatever
> reason doesn't upgrade TeX at all - it's not exactly going to be common
> but it's simple enough to do.

Ok, yeah, I agree, that might be necessary. I am preparing texlive-binaries
-12 revision just now, this version should be fine, so before -12
it should break.

Thanks.
> Most of the gzio users are pretty noddy, the pattern is more usually to
> just read until error or something similar rather than having detailed
> error checking.

Hahaha, bad bad bad ;-)

Anyway, thanks.

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
MILWAUKEE (n.)
The melodious whistling, chanting and humming tone of the milwaukee
can be heard whenever a public lavatory is entered. It is the way the
occupants of the cubicles have of telling you there's no lock on their
door and you can't come in.
			--- Douglas Adams, The Meaning of Liff




Reply sent to Norbert Preining <preining@debian.org>:
You have taken responsibility. (Tue, 14 Feb 2012 00:54:18 GMT) Full text and rfc822 format available.

Notification sent to Matthew Bellis <matthew.bellis@gmail.com>:
Bug acknowledged by developer. (Tue, 14 Feb 2012 00:54:18 GMT) Full text and rfc822 format available.

Message #47 received at 659680-close@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@debian.org>
To: 659680-close@bugs.debian.org
Subject: Bug#659680: fixed in texlive-bin 2009-12
Date: Tue, 14 Feb 2012 00:51:13 +0000
Source: texlive-bin
Source-Version: 2009-12

We believe that the bug you reported is fixed in the latest version of
texlive-bin, which is due to be installed in the Debian FTP archive:

libkpathsea-dev_2009-12_amd64.deb
  to main/t/texlive-bin/libkpathsea-dev_2009-12_amd64.deb
libkpathsea5_2009-12_amd64.deb
  to main/t/texlive-bin/libkpathsea5_2009-12_amd64.deb
texlive-bin_2009-12.diff.gz
  to main/t/texlive-bin/texlive-bin_2009-12.diff.gz
texlive-bin_2009-12.dsc
  to main/t/texlive-bin/texlive-bin_2009-12.dsc
texlive-binaries_2009-12_amd64.deb
  to main/t/texlive-bin/texlive-binaries_2009-12_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659680@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Preining <preining@debian.org> (supplier of updated texlive-bin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Feb 2012 08:24:30 +0900
Source: texlive-bin
Binary: texlive-binaries libkpathsea5 libkpathsea-dev
Architecture: source amd64
Version: 2009-12
Distribution: unstable
Urgency: low
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Changed-By: Norbert Preining <preining@debian.org>
Description: 
 libkpathsea-dev - TeX Live: path search library for TeX (development part)
 libkpathsea5 - TeX Live: path search library for TeX (runtime part)
 texlive-binaries - Binaries for TeX Live
Closes: 597218 636328 654746 659680
Changes: 
 texlive-bin (2009-12) unstable; urgency=low
 .
   [ Frank Küster ]
   * Make the error message more user-friendly when texconfig encounters
     strange paper size definitions in config.ps (closes: #636328)
   * Do not declare an versioned B-D for g++ on armel (Closes: #654746)
   * Install manual page for vlna in /usr/share/man/cs/man1
     (Closes: #597218)
 .
   [ Norbert Preining ]
   * include fix for xetex breakage to backward incompatible zlib change
     change build dependency to depend on zlib1g-dev with version, and
     remove the alternative zlib-dev build dep
     (Closes: #659680)
   * bump standards version to 3.9.2, no changes necessary
Checksums-Sha1: 
 87fa8d90266db82d3f137f95f213aa6b0f11d639 1494 texlive-bin_2009-12.dsc
 02238f069e7374ec0c67bf7ef896b205fb9a421a 78116 texlive-bin_2009-12.diff.gz
 a76b5803338f64d5e94a4d6e2a1adce2d8a2a9c8 8070822 texlive-binaries_2009-12_amd64.deb
 20db2ba6eca2ef7bd36046aa82ba4ca006b63a60 135614 libkpathsea5_2009-12_amd64.deb
 f174013742169996b5283623b39db3c2e415de02 179484 libkpathsea-dev_2009-12_amd64.deb
Checksums-Sha256: 
 31f4c82b2bda4740285588a815cbe953ad2754475323b787aba68c55aa97236a 1494 texlive-bin_2009-12.dsc
 40c960428ceb8252642a7b8e7a121f0a1283e6dc0a29ad9e54a1a4e0ea1e0802 78116 texlive-bin_2009-12.diff.gz
 68af43e2ed7c3f4c465a777674435370441b64213f58ae7ff034e09a5bcb77b0 8070822 texlive-binaries_2009-12_amd64.deb
 385ab42ce5b617f720429594518ad09d6ef721585605d0c9de1163d4a160b621 135614 libkpathsea5_2009-12_amd64.deb
 af25c1775b676ace3ec1307982b141c849cfec36e9d8e793b78e25b6b83ce854 179484 libkpathsea-dev_2009-12_amd64.deb
Files: 
 bee78f13605431af220521792405a91c 1494 tex optional texlive-bin_2009-12.dsc
 62f30a78e40c27c4f9e42903c4cfaa4b 78116 tex optional texlive-bin_2009-12.diff.gz
 e2e01f97e6aa368da204133e3cdbb05a 8070822 tex optional texlive-binaries_2009-12_amd64.deb
 6ed69b2a72397bf859021efae38d3983 135614 libs optional libkpathsea5_2009-12_amd64.deb
 0b6cf9168b4e0e80e01696265a2320dd 179484 libdevel optional libkpathsea-dev_2009-12_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPOakw0r9KownFsJQRAgMyAJ0RSq4fiPfufuzAYsDsxed7ws7bBQCgil5m
9cI0UYqb4VreVER6Wv+CMBA=
=LCb8
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Tue, 14 Feb 2012 06:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Tue, 14 Feb 2012 06:39:07 GMT) Full text and rfc822 format available.

Message #52 received at 659680@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: Matthew Bellis <matthew.bellis@gmail.com>, 659680@bugs.debian.org, 659681@bugs.debian.org
Subject: Re: Bug#659681: Bug#659680: texlive-xetex: xelatex error: ``(Fatal format file error; I'm stymied)"
Date: Tue, 14 Feb 2012 06:34:36 +0000
On Tue, Feb 14, 2012 at 08:49:29AM +0900, Norbert Preining wrote:
> On Mo, 13 Feb 2012, Mark Brown wrote:

> > I was thinking for the case where someone upgrades zlib but for whatever
> > reason doesn't upgrade TeX at all - it's not exactly going to be common
> > but it's simple enough to do.

> Ok, yeah, I agree, that might be necessary. I am preparing texlive-binaries
> -12 revision just now, this version should be fine, so before -12
> it should break.

Great, I'll do an upload for that once I'm back in the UK next week -
currently I'm travelling without access to my key (unless the keyring
maintainers push the update to switch over to my new key which has a on
a GnuPG stick before then in which case I'll do it sooner).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Wed, 15 Feb 2012 04:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt <bellis@slac.stanford.edu>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 15 Feb 2012 04:39:08 GMT) Full text and rfc822 format available.

Message #57 received at 659680@bugs.debian.org (full text, mbox):

From: Matt <bellis@slac.stanford.edu>
To: 659680@bugs.debian.org
Subject: Re: Bug#659680 closed by Norbert Preining <preining@debian.org> (Bug#659680: fixed in texlive-bin 2009-12)
Date: Tue, 14 Feb 2012 22:36:36 -0600
[Message part 1 (text/plain, inline)]
Thanks, Norbert et al! Works like a charm now!
Matt


This is an automatic notification regarding your Bug report
> which was filed against the texlive-xetex package:
>
> #659680: texlive-xetex: xelatex error: ``(Fatal format file error; I'm
> stymied)"
>
> It has been closed by Norbert Preining <preining@debian.org>.
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Wed, 29 Feb 2012 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to wolf python london <lyh19901223@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 29 Feb 2012 07:06:03 GMT) Full text and rfc822 format available.

Message #62 received at 659680@bugs.debian.org (full text, mbox):

From: wolf python london <lyh19901223@gmail.com>
To: 659680@bugs.debian.org
Subject: Wheezy(testing) has this bug, too. Plz upload texlive-binaries-2009-12 to Wheezy repos
Date: Wed, 29 Feb 2012 15:03:40 +0800
Dear Maintainer,

Wheezy(testing) has this bug ,too. Please  upload the new version of
texlive-binaries(2009-12)  to Wheezy repos. Thanks:-)

-- 
________________________
Yes, I use Debian GNU/L
wolf python london(WPL)
Do as you soul should do !
________________________




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Thu, 01 Mar 2012 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Thu, 01 Mar 2012 20:09:03 GMT) Full text and rfc822 format available.

Message #67 received at 659680@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: wolf python london <lyh19901223@gmail.com>
Cc: 659680@bugs.debian.org
Subject: Re: Bug#659680: Wheezy(testing) has this bug, too. Plz upload texlive-binaries-2009-12 to Wheezy repos
Date: Thu, 01 Mar 2012 21:09:21 +0100
wolf python london <lyh19901223@gmail.com> wrote:

> Dear Maintainer,
>
> Wheezy(testing) has this bug ,too. Please  upload the new version of
> texlive-binaries(2009-12)  to Wheezy repos. Thanks:-)

Just wait until the package migrates to testing.

Regards, Frank

-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 05 Mar 2012 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to marc zonzon <marc.zonzon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 05 Mar 2012 17:21:03 GMT) Full text and rfc822 format available.

Message #72 received at 659680@bugs.debian.org (full text, mbox):

From: marc zonzon <marc.zonzon@gmail.com>
To: 659680@bugs.debian.org
Subject: Fixed in sid but too long to update testing
Date: Mon, 5 Mar 2012 18:19:15 +0100
texlive-binaries_2009-12 fix the bug, but since we experience it, it
does not seem to migrate to testing.
Personally I have installed it on a testing distribution and there is
no dependency problem and it works well now. But it took some long
time where I could not use tex (most of my documents use xelatex
styles), and I have spent some long time to try to play with fmtutil
and udpmap before finding the bug reference.

So thinking to other users of xelatex and Debian testing, I would ask
the package maintainer to upgrade.

Thanks

Marc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#659680; Package texlive-xetex. (Mon, 05 Mar 2012 20:52:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 05 Mar 2012 20:52:48 GMT) Full text and rfc822 format available.

Message #77 received at 659680@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: marc zonzon <marc.zonzon@gmail.com>
Cc: 659680@bugs.debian.org
Subject: Re: Bug#659680: Fixed in sid but too long to update testing
Date: Mon, 05 Mar 2012 21:49:10 +0100
marc zonzon <marc.zonzon@gmail.com> wrote:

> texlive-binaries_2009-12 fix the bug, but since we experience it, it
> does not seem to migrate to testing.

There was an other serious but open which in fact was a local
misconfiguration, #659907.  I have closed it now, hope it will migrate
soon. 

Regards, Frank
-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




No longer marked as found in versions texlive-base/2009-15. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 15:59:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Dec 2013 07:42:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:15:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.